Subject: Re: Problems with Apache 1.3.20
From: Stipe Tolj <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 May 2001 00:22:24 +0200

Hi Jordan,

> Apache 1.3.20 seems to _build_ OK, but I'm seeing numerous errors in the
> 'make install' like the following:
>
> cp: `./src/httpd' and `/usr/local/apache/bin/inst.1564' are the same file
> strip: /usr/local/apache/bin/inst.1564: No such file or directory
> chmod: /usr/local/apache/bin/inst.1564: No such file or directory
> mv: /usr/local/apache/bin/inst.1564: No such file or directory
>
> But, the 'make install' reports that it completed successfully.

yep, the "make install" step is not supported due to the executable extensions ".exe" for the cygwin executables. A
work-around is to copy all .exe files from src/* to /usr/local/apache/bin.

BTW, any other files _will_ be copied to their corresponding default installation directories.

> When I try to run
>
>         /usr/local/apache/bin/apachectl start
>
> I initially get an error:
>
>         /usr/local/apche/bin/apachectl: /usr/local/apache/bin/httpd: No such file or directory
>         /usr/local/apache/bin/apachectl start: httpd could not be started

That's why /usr/local/apache/bin/httpd[.exe] is not present to the event time.

> I found httpd.exe still in my src directory from the build and copied over to
> /usr/local/apache/bin, but then I get:
>
>         httpd: bad user name nobody
>
> I see from the comments in httpd.conf that this may need to be changed, so I
> change the user to an Administrator on my machine.

Yes, you need to change that. Apache checks if the users you define in httpd.conf are existing on the system, and if you don't
have them in /etc/passwd they are supposed to be "bad users". You may comment the two lines out if you don't mind about extra
security issues.

> I attempt to start again, and it says that it starts, but I get:
>
>         [date] [alert] httpd: Could not determine the server's fully qualified domain name, using 127.0.0.1 for ServerName
>         /usr/local/apache/bin/apachectl start: httpd started
>
> And, it does seem to be running, but I can't connect to it.

After the above error statement it should not be running. You will have to define the ServerName within httpd.conf. Set it to
localhost or to an FQDN (www.somewhat.com) if the DNS entry is mapped for it.

> When I'm doing this testing, I don't have any network interfaces running.

You should get connects done to localhost on port 80.

> In the meantime, it still seems like I've got some problems above.  I've
> searched the email list archives and didn't find any help there.

If you need further assistance please mail to the list, I'll reply ASAP.

Regards,

Stipe Tolj
Department Management
Technology Center & Research Lab

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple